/*!
* OpenUI5
* Copyright 2025 SAP SE or an SAP affiliate company.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/**
 * We encourage you to use SAPUI5 with TypeScript productively for an
 * improved development efficiency and experience. TypeScript itself keeps
 * evolving and we try to further improve the UI5 type definitions, so there
 * could be potential incompatible changes between versions of the type
 * definitions. However, such incompatibilities would only affect the
 * compilation of your code but will not cause runtime issues in your
 * application. Plus, there are various ways to easily deal with them:
 * you can, for example, simply keep using the previous version of the
 * UI5 type definitions together with an updated UI5 runtime.
 */
/// <reference path="./sap.ui.codeeditor.d.ts"/>
/// <reference path="./sap.ui.commons.d.ts"/>
/// <reference path="./sap.ui.core.d.ts"/>
/// <reference path="./sap.ui.dt.d.ts"/>
/// <reference path="./sap.f.d.ts"/>
/// <reference path="./sap.ui.fl.d.ts"/>
/// <reference path="./sap.ui.integration.d.ts"/>
/// <reference path="./sap.ui.layout.d.ts"/>
/// <reference path="./sap.ui.mdc.d.ts"/>
/// <reference path="./sap.m.d.ts"/>
/// <reference path="./sap.ui.rta.d.ts"/>
/// <reference path="./sap.ui.suite.d.ts"/>
/// <reference path="./sap.ui.support.d.ts"/>
/// <reference path="./sap.ui.table.d.ts"/>
/// <reference path="./sap.ui.testrecorder.d.ts"/>
/// <reference path="./sap.tnt.d.ts"/>
/// <reference path="./sap.ui.unified.d.ts"/>
/// <reference path="./sap.ui.ux3.d.ts"/>
/// <reference path="./sap.uxap.d.ts"/>
/// <reference path="./sap.ui.webc.common.d.ts"/>
/// <reference path="./sap.ui.webc.fiori.d.ts"/>
/// <reference path="./sap.ui.webc.main.d.ts"/>
